var preview = null;


function showPreview(name, pos) {
	if (document.getElementById) {
		preview = document.getElementById(name);
		if (preview) {
			if (pos == 'nw') {
				preview.style.bottom = null;
				preview.style.right = null;;
				preview.style.top = '0px';
				preview.style.left = '0px';
			} else if (pos == 'ne') {
				preview.style.bottom = null;
				preview.style.left = null;
				preview.style.top = '0px';
				preview.style.right = '0px';
			} else if (pos == 'sw') {
				preview.style.top = null;
				preview.style.right = null;
				preview.style.bottom = '0px';
				preview.style.left = '0px';
			} else if (pos == 'se') {
				preview.style.top = null;
				preview.style.left = null;
				preview.style.bottom = '0px';
				preview.style.right = '0px';
			} else if (pos == 'nc') {
				preview.style.bottom = null;
				preview.style.right = null;
				preview.style.top = '0px';
				preview.style.left = '50%';
			} else if (pos == 'sc') {
				preview.style.top = null;
				preview.style.right = null;
				preview.style.bottom = '0px';
				preview.style.left = '50%';
			}
			preview.style.visibility = 'visible';
		}
	}
}


function hidePreview(name) {
	if (preview) {
		preview.style.visibility = 'hidden';
	}
}


function PreloadNextImage(image) {
	nextimg = new Image();
	nextimg.src = image;
}

